summaryrefslogtreecommitdiffstats
path: root/test/afb-test/fixtures/replay_launcher.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test/afb-test/fixtures/replay_launcher.sh')
-rwxr-xr-xtest/afb-test/fixtures/replay_launcher.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/test/afb-test/fixtures/replay_launcher.sh b/test/afb-test/fixtures/replay_launcher.sh
new file mode 100755
index 00000000..186b05b3
--- /dev/null
+++ b/test/afb-test/fixtures/replay_launcher.sh
@@ -0,0 +1,14 @@
+#!/bin/bash
+
+PLAYER=$(command -v canplayer 2> /dev/null || command -v linuxcan-canplayer 2> /dev/null)
+FILE=$1
+
+if [ "$PLAYER" ]
+then
+ $PLAYER -I "$FILE" &
+else
+ echo "can-utils packages not installed"
+ exit 1
+fi
+
+exit 0